function d = modelMTF1(d)
    %d = modelMTF1(d); models main components of given MTF curve
    %set d.lambda (um), d.N, d.W20 before calling;
    d.s = 0:1/100:1;
    a = 8*pi * d.W20 .* d.s;
    d.diff = 2./pi.*(acos(d.s)-d.s.*sqrt(1-d.s.^2));
    d.def = ones(1,length(d.s));
    for i = 2:length(d.s)
        hopkins = @(y) 4./pi./a(i).* sin(a(i).*(sqrt(1-y.^2)-d.s(i)));
        d.def(i) = integral(hopkins, 0, sqrt(1-d.s(i).^2));
    end
end

